from django.db import models

# Create your models here.
from django.db import models
class quiz(models.Model):
    quizId=models.AutoField(default=0, primary_key=True) #primary key
    startTime=models.DateTimeField(auto_now_add=True) 
    length=models.FloatField(max_length=10)
    quizCode=models.CharField(max_length=100) #quizId for questions table
    quizDone=models.BooleanField(default=False)

class Questions(models.Model):
    question = models.TextField()
    option1 = models.CharField(max_length=100)
    option2 = models.CharField(max_length=100)
    option3 = models.CharField(max_length=100)
    option4 = models.CharField(max_length=100)
    answer = models.CharField(max_length=100)
    type=models.CharField(max_length=10,default=1)
    marks =models.IntegerField(default=1)
    negative = models.FloatField(max_length=10,default=0)
    explainations=models.TextField(max_length=1000,default='No Explaination Given')
    quizId = models.CharField(max_length=100,default=10)
    questionId=models.AutoField(primary_key=True,)
    quiz=models.ForeignKey(quiz,to_field='quizId',on_delete=models.CASCADE)

class submission(models.Model):
    
    questionId=models.ForeignKey(Questions,to_field='questionId',on_delete=models.CASCADE)
    option=models.CharField(max_length=100)
    studentId=models.CharField(max_length=100)
    quizId=models.CharField(max_length=100)

class cribs(models.Model):
    studentId=models.CharField(max_length=100)
    cribs=models.CharField(max_length=1000)
    quizId=models.CharField(max_length=100)
    quiz=models.ForeignKey(quiz,to_field='quizId',on_delete=models.CASCADE,default=0)
    questionId=models.ForeignKey(Questions,to_field='questionId',on_delete=models.CASCADE)



